Summary:        An Introduction to SAX Parsing with Perl
Name:           perl-XML-SAX
Version:        1.02
Release:        4%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/XML-SAX
Source0:        https://cpan.metacpan.org/authors/id/G/GR/GRANTM/XML-SAX-%{version}.tar.gz
Patch3000:      perl-XML-SAX-0.99-rt20126.patch
BuildArch:      noarch
# build
BuildRequires:  coreutils, make, perl-generators, perl-interpreter, perl(ExtUtils::MakeMaker) >= 6.76
# Run-time
BuildRequires:  perl(XML::NamespaceSupport) >= 0.03
BuildRequires:  perl(XML::SAX::Base)
# Test
BuildRequires:  perl(base), perl(Fatal), perl(File::Path), perl(Test)

Requires:       perl(LWP::UserAgent)

%global __requires_exclude ^perl\\(XML::SAX::PurePerl
%global __provides_exclude ^perl\\(XML::SAX::PurePerl\\)$

%description
XML::SAX is a new way to work with XML Parsers in Perl. In this article we'll 
discuss why you should be using SAX, why you should be using XML::SAX, and 
we'll see some of the finer implementation details. The text below assumes 
some familiarity with callback, or push based parsing, but if you are 
unfamiliar with these techniques then a good place to start is Kip Hampton's 
excellent series of articles on XML.com.



%prep
%autosetup -n XML-SAX-%{version} -p1



%build
echo N | perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
make -j$(nproc)



%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

touch %{buildroot}%{perl_vendorlib}/XML/SAX/ParserDetails.ini



%check
make test



%post
if [ ! -f "%{perl_vendorlib}/XML/SAX/ParserDetails.ini" ] ; then
  perl -MXML::SAX -e \
    'XML::SAX->add_parser(q(XML::SAX::PurePerl))->save_parsers()' 2>/dev/null || :
else
  cp -p "%{perl_vendorlib}/XML/SAX/ParserDetails.ini" "%{perl_vendorlib}/XML/SAX/ParserDetails.ini.backup"
fi

%triggerun -- perl-XML-LibXML < 1.58-8
if [ -f "%{perl_vendorlib}/XML/SAX/ParserDetails.ini.backup" ] ; then
  mv "%{perl_vendorlib}/XML/SAX/ParserDetails.ini.backup" "%{perl_vendorlib}/XML/SAX/ParserDetails.ini"
fi



%preun
if [ $1 -eq 0 ] ; then
  perl -MXML::SAX -e \
    'XML::SAX->remove_parser(q(XML::SAX::PurePerl))->save_parsers()' || :
fi
[ -f "%{perl_vendorlib}/XML/SAX/ParserDetails.ini.backup" ] && \
rm -rf "%{perl_vendorlib}/XML/SAX/ParserDetails.ini.backup" || :



%files
%license LICENSE
%doc Changes README
%dir %{perl_vendorlib}/XML/
%{perl_vendorlib}/XML/SAX.pm
%dir %{perl_vendorlib}/XML/SAX/
%{perl_vendorlib}/XML/SAX/*.pm
%doc %{perl_vendorlib}/XML/SAX/*.pod
%{perl_vendorlib}/XML/SAX/PurePerl/
%{_mandir}/man3/XML::*.3pm*
%ghost %{perl_vendorlib}/XML/SAX/ParserDetails.ini



%changelog
* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.02-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.02-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.02-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 23 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.02-1
- Initial building.
